Zadig 文档
Zadig
教程
博客
论坛
关于
中文英文
Zadig
教程
博客
论坛
关于
Zadig v4.2
Loading...
     编辑文档
     反馈问题
     社区讨论

    本页导航

    System

    # List System Operation Logs

    # Request

    GET /openapi/system/operation
    
    1

    # Query

    Parameter NameTypeDescriptionRequired
    searchTypestringSearch type, optional values:
    all: all
    project: project
    user: user
    function: function
    status: status code
    Yes
    projectKeystringProject keyNo
    usernamestringUsernameNo
    functionstringFunctionNo
    statusintStatus codeNo
    perPageintItems per pageYes
    pageintPage numberYes

    # Response

    {
        "operation_logs": [
            {
                "username": "admin",                  // Username
                "project_key": "yaml",                // Project key
                "method": "Update",                   // Operation
                "function": "Custom Workflow",         // Function
                "scene": "",                          // Scene
                "targets": [],                         // When scene is environment, targets is a list of environment names
                "detail": "dingdingshenpi",           // Detail
                "request_body": ".....",              // Value omitted, request_body type may be json or yaml
                "body_type": "yaml",                  // body_type has three values: "", "json", "yaml"; old data may be empty
                "status": 200,                         // Status code
                "created_at": 1744360992               // Creation time
            },
            {
                "username": "admin",
                "project_key": "yaml",
                "method": "Create",
                "function": "Custom Workflow Task",
                "scene": "",
                "targets": [],
                "detail": "dingdingshenpi",
                "request_body": ".....",
                "body_type": "json",
                "status": 200,
                "created_at": 1744360968
            },
            {
                "username": "admin",
                "project_key": "yaml",
                "method": "Update",
                "function": "Custom Workflow",
                "scene": "",
                "targets": [],
                "detail": "dingdingshenpi",
                "request_body": ".....",
                "body_type": "yaml",
                "status": 200,
                "created_at": 1744360964
            }
        ],
        "total": 107116
    }
    
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    44

    # List Environment Operation Logs

    # Request

    GET /openapi/system/operation/env
    
    1

    # Query

    Parameter NameTypeDescriptionRequired
    projectKeystringProject keyYes
    envNamestringEnvironment nameYes
    searchTypestringSearch type, optional values:
    all: all
    user: user
    function: function
    status: status code
    detail: detail
    Yes
    usernamestringUsernameNo
    functionstringFunctionNo
    statusintStatus codeNo
    detailstringDetailNo
    perPageintItems per pageYes
    pageintPage numberYes

    # Response

    {
        "operation_logs": [
            {
                "username": "admin",                  // Username
                "project_key": "yaml",                // Project key
                "method": "Update",                   // Operation
                "function": "Custom Workflow",         // Function
                "scene": "",                          // Scene
                "targets": [],                         // When scene is environment, targets is a list of environment names
                "detail": "dingdingshenpi",           // Detail
                "request_body": ".....",              // Value omitted, request_body type may be json or yaml
                "body_type": "yaml",                  // body_type has three values: "", "json", "yaml"; old data may be empty
                "status": 200,                         // Status code
                "created_at": 1744360992               // Creation time
            },
            {
                "username": "admin",
                "project_key": "yaml",
                "method": "Create",
                "function": "Custom Workflow Task",
                "scene": "",
                "targets": [],
                "detail": "dingdingshenpi",
                "request_body": ".....",
                "body_type": "json",
                "status": 200,
                "created_at": 1744360968
            },
            {
                "username": "admin",
                "project_key": "yaml",
                "method": "Update",
                "function": "Custom Workflow",
                "scene": "",
                "targets": [],
                "detail": "dingdingshenpi",
                "request_body": ".....",
                "body_type": "yaml",
                "status": 200,
                "created_at": 1744360964
            }
        ],
        "total": 107116
    }
    
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    44

    ← UserCollaboration Mode→

    资源
    教程
    论坛
    博客
    公司
    关于
    客户故事
    加入我们
    联系我们
    微信扫一扫
    hello@koderover.com

    © 2026 筑栈(上海)信息技术有限公司 沪 ICP 备 19000177 号 - 1

    •  跟随系统
    •  浅色模式
    •  深色模式
    •  阅读模式